(*
 * MakeDump.m
 *
 * Creates table files in internal Mathematica format.
 *
 * Usage:
 *   math < MakeDump.m
 * or
 *   math -run 'MaxWeight=6;<<MakeDump`;Quit[]'
 *)

(* The maximum weight of the tables. *)
If[!ValueQ[MaxWeight],
  MaxWeight = 6;
];

(******************************************************************************)

Print["MakeDump.m: weight : " <> ToString[MaxWeight]];

BeginPackage["HPL`"];

HPL;
HPLs6;
HPLs7a;
HPLs7b;
HPLs8a;
HPLs8b;
HPLs8c;
HPLs8d;

EndPackage[];

BeginPackage["MT`", {"HPL`"}];

MTMellinn;
MTInverse;
DReg;
HSum;

Begin["`Private`"];

Get["MTtab" <> ToString[Global`MaxWeight] <> ".m"];
DumpSave["MTtab" <> ToString[Global`MaxWeight] <>".mx", MTMellinn];

Get["MTitab" <> ToString[Global`MaxWeight] <> ".m"];
DumpSave["MTitab" <> ToString[Global`MaxWeight] <>".mx", MTInverse];

End[];
EndPackage[];

(* vim: set ft=mma et ts=8 sts=2 sw=2: *)
