(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     56433,       1924]
NotebookOptionsPosition[     50771,       1726]
NotebookOutlinePosition[     51108,       1741]
CellTagsIndexPosition[     51065,       1738]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "MT: a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " package to compute convolutions"
}], "Title",
 CellChangeTimes->{{3.583130215246715*^9, 3.583130251959429*^9}}],

Cell["Having installed MT properly, one can load it via", "Text",
 CellChangeTimes->{{3.583129428161016*^9, 3.583129454995824*^9}, 
   3.583129536415897*^9, {3.5831303514563637`*^9, 3.583130375541123*^9}, {
   3.5831304072493553`*^9, 3.583130407661386*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "MT`"}]], "Input",
 CellChangeTimes->{{3.583128884208112*^9, 3.583128885027934*^9}, {
  3.5831303848528643`*^9, 3.583130387536027*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox["\<\"*-*-*-*-*-* HPL 2.0 *-*-*-*-*-*\\n\\nAuthor: Daniel Maitre, \
University of Zurich\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142741293675*^9}],

Cell[BoxData[
 FormBox["\<\"Rules for minimal set loaded for weights: 2, 3, 4, 5, 6.\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.5831427421255407`*^9}],

Cell[BoxData[
 FormBox["\<\"Rules for minimal set for + - weights loaded for weights: 2, 3, \
4, 5, 6.\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142746450416*^9}],

Cell[BoxData[
 FormBox["\<\"Table of MZVs loaded up to weight 6\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142746551914*^9}],

Cell[BoxData[
 FormBox["\<\"Table of values at I loaded up to weight 6\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142749170608*^9}],

Cell[BoxData[
 FormBox["\<\"$HPLFunctions gives a list of the functions of the \
package.\\n$HPLOptions gives a list of the options of the package.\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142749242537*^9}],

Cell[BoxData[
 FormBox["\<\"More info in hep-ph/0507152, hep-ph/0703052 and at \\n \
http://krone.physik.unizh.ch/~maitreda/HPL/\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.58314274924675*^9}],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"MT 1.0\"\>",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", "\<\" \"\>", 
    "\[InvisibleSpace]", "\<\"\[Copyright]\"\>", 
    "\[InvisibleSpace]", "\<\" 2011-2013 by Alexey Pak and Takahiro Ueda, TTP \
KIT Karlsruhe\"\>"}],
   SequenceForm[
    Style["MT 1.0", Bold], " ", "\[Copyright]", 
    " 2011-2013 by Alexey Pak and Takahiro Ueda, TTP KIT Karlsruhe"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142749288124*^9}],

Cell[BoxData[
 FormBox["\<\"Table of MTs loaded up to weight 6.\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.5831427531460323`*^9}],

Cell[BoxData[
 FormBox["\<\"Table of inverse MTs loaded up to weight 6.\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142798957683*^9}],

Cell[BoxData[
 FormBox["\<\"See ?MT`* for a list of functions.\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.583128886207918*^9, 3.583142798994501*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Convolutions of expressions", "Section",
 CellChangeTimes->{{3.5831302724017677`*^9, 3.583130296786771*^9}}],

Cell[CellGroupData[{

Cell["Convolution", "Subsection",
 CellChangeTimes->{{3.583130200405047*^9, 3.5831302022160263`*^9}}],

Cell[TextData[{
 StyleBox["Convolution[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "1"], TraditionalForm]],
  FontWeight->"Bold"],
 StyleBox[", ..., ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "N"], TraditionalForm]],
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " gives the convolution with respect to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]]],
 " of the expressions ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "1"], TraditionalForm]]],
 ", ..., ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "N"], TraditionalForm]]],
 ","
}], "Text",
 CellChangeTimes->{{3.583129428161016*^9, 3.583129454995824*^9}, 
   3.583129536415897*^9, 3.583130487558597*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"[", 
    RowBox[{
     SubscriptBox["f", "1"], "\[CircleTimes]", "\[Ellipsis]", 
     "\[CircleTimes]", 
     SubscriptBox["f", "N"]}], "]"}], 
   RowBox[{"(", "x", ")"}]}], " ", "=", " ", 
  RowBox[{
   SuperscriptBox[
    SubscriptBox["\[Integral]", "0"], "1"], 
   RowBox[{
    SubscriptBox["dx", "1"], " ", "\[Ellipsis]", " ", 
    SubscriptBox["dx", "N"], 
    SubscriptBox["f", "1"], 
    RowBox[{"(", 
     SubscriptBox["x", "1"], ")"}], "\[Ellipsis]", " ", 
    SubscriptBox["f", "N"], 
    RowBox[{"(", 
     SubscriptBox["x", "N"], ")"}], " ", "\[Delta]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"x", "-", 
       RowBox[{
        SubscriptBox["x", "1"], "\[Ellipsis]", " ", 
        SubscriptBox["x", "N"]}]}], ")"}], "."}]}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.583129538781838*^9, 3.583129770740335*^9}, {
  3.583648847422118*^9, 3.5836488511373367`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Convolution", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", "0", "}"}], ",", "x"}], "]"}], 
    RowBox[{"1", "+", "x"}]], ",", 
   FractionBox[
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", "0", "}"}], ",", "x"}], "]"}], 
    RowBox[{"1", "-", "x"}]], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.583128977104741*^9, 3.583129016936891*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "0"}]], "(", "x", ")"}],
     HPL`HPL[{-2, 0}, $CellContext`x]], 
    RowBox[{"x", "+", "1"}]], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", 
       RowBox[{"2", ",", "0"}]], "(", "x", ")"}],
     HPL`HPL[{2, 0}, $CellContext`x]], 
    RowBox[{"x", "+", "1"}]], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", 
       RowBox[{"0", ",", "0", ",", "0"}]], "(", "x", ")"}],
     HPL`HPL[{0, 0, 0}, $CellContext`x]], 
    RowBox[{"x", "+", "1"}]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", "2"], " ", 
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", "0"], "(", "x", ")"}],
      HPL`HPL[{0}, $CellContext`x]]}], 
    RowBox[{"12", " ", 
     RowBox[{"(", 
      RowBox[{"x", "+", "1"}], ")"}]}]], "-", 
   FractionBox[
    TemplateBox[{"3"},
     "Zeta"], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"x", "+", "1"}], ")"}]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.583129003250008*^9, 3.583129017475183*^9}, 
   3.5831428017313337`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Convolution", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "x"}], "]"}], "-", 
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "1"}], "]"}]}], 
    RowBox[{"1", "-", "x"}]], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5831290269930897`*^9, 3.5831290535831947`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", 
        RowBox[{"1", ",", "2"}]], "(", "x", ")"}],
      HPL`HPL[{1, 2}, $CellContext`x]], 
     RowBox[{"1", "-", "x"}]]}], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", 
       RowBox[{"2", ",", "0"}]], "(", "x", ")"}],
     HPL`HPL[{2, 0}, $CellContext`x]], 
    RowBox[{"1", "-", "x"}]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", 
        RowBox[{"2", ",", "1"}]], "(", "x", ")"}],
      HPL`HPL[{2, 1}, $CellContext`x]]}], 
    RowBox[{"1", "-", "x"}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", "2"], " ", 
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", "0"], "(", "x", ")"}],
      HPL`HPL[{0}, $CellContext`x]]}], 
    RowBox[{"6", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "x"}], ")"}]}]], "+", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[Pi]", "2"], " ", 
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", "1"], "(", "x", ")"}],
      HPL`HPL[{1}, $CellContext`x]]}], 
    RowBox[{"6", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "x"}], ")"}]}]], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", "3"], "(", "x", ")"}],
     HPL`HPL[{3}, $CellContext`x]], 
    RowBox[{"1", "-", "x"}]], "-", 
   FractionBox[
    TemplateBox[{"3"},
     "Zeta"], 
    RowBox[{"1", "-", "x"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.5831290444356003`*^9, 3.583129063051133*^9}, 
   3.5831428020789824`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Convolution", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", 
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{3.5831291006048803`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"2", " ", 
    InterpretationBox[
     SubscriptBox[
      RowBox[{"[", 
       FractionBox[
        RowBox[{"log", "(", 
         RowBox[{"1", "-", "x"}], ")"}], 
        RowBox[{"1", "-", "x"}]], "]"}], "+"],
     MT`PlusDistribution[1, 1 - $CellContext`x]]}], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", "0"], "(", "x", ")"}],
     HPL`HPL[{0}, $CellContext`x]], 
    RowBox[{"1", "-", "x"}]], "-", 
   RowBox[{
    FractionBox["1", "6"], " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    InterpretationBox[
     RowBox[{"\[Delta]", "(", 
      RowBox[{"1", "-", "x"}], ")"}],
     MT`PlusDistribution[-1, 1 - $CellContext`x]]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.5831291011187687`*^9, 3.5831428021357737`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["NConvolution", "Subsection",
 CellChangeTimes->{{3.583130200405047*^9, 3.5831302022160263`*^9}, 
   3.58313042797456*^9}],

Cell[TextData[{
 StyleBox["NConvolution[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "1"], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ..., ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "N"], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " numerically computes the convolution with respect to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " of the expressions ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "1"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ", ..., ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "N"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "a"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.583129428161016*^9, 3.583129454995824*^9}, 
   3.583129536415897*^9, {3.583129801258802*^9, 3.58312983533783*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NConvolution", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", "0", "}"}], ",", "x"}], "]"}], 
    RowBox[{"1", "+", "x"}]], ",", 
   FractionBox[
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", "0", "}"}], ",", "x"}], "]"}], 
    RowBox[{"1", "-", "x"}]], ",", "x", ",", 
   FractionBox["3", "10"]}], "]"}]], "Input",
 CellChangeTimes->{{3.583129850233192*^9, 3.583129860463215*^9}}],

Cell[BoxData[
 FormBox["0.6007991199016531`", TraditionalForm]], "Output",
 CellChangeTimes->{3.58312986114165*^9, 3.583142802246751*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NConvolution", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "x"}], "]"}], "-", 
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "1"}], "]"}]}], 
    RowBox[{"1", "-", "x"}]], ",", "x", ",", 
   FractionBox["3", "10"]}], "]"}]], "Input",
 CellChangeTimes->{{3.583129877970819*^9, 3.583129882694077*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "2.867252863555946`"}], "+", 
   RowBox[{"1.7975041569387465`*^-17", " ", "\[ImaginaryI]"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.583129883181911*^9, 3.583142802352194*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NConvolution", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", 
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", "x", ",", 
   FractionBox["3", "10"]}], "]"}]], "Input",
 CellChangeTimes->{{3.583129919124599*^9, 3.5831299220566397`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"2.`", " ", 
    InterpretationBox[
     SubscriptBox[
      RowBox[{"[", 
       FractionBox[
        RowBox[{"log", "(", 
         RowBox[{"1", "-", "x"}], ")"}], 
        RowBox[{"1", "-", "x"}]], "]"}], "+"],
     MT`PlusDistribution[1, 1 - $CellContext`x]]}], "-", 
   RowBox[{"1.6449340668482293`", " ", 
    InterpretationBox[
     RowBox[{"\[Delta]", "(", 
      RowBox[{"1", "-", "x"}], ")"}],
     MT`PlusDistribution[-1, 1 - $CellContext`x]]}], "+", 
   "1.7199611490370517`"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583129922915668*^9, 3.583142802685569*^9}]
}, Open  ]],

Cell[TextData[{
 "If ",
 StyleBox["Constants",
  FontWeight->"Bold"],
 " are specified, ",
 StyleBox["NConvolution",
  FontWeight->"Bold"],
 " tries to split the integral with respect to them and leaves them as \
constants:"
}], "Text",
 CellChangeTimes->{{3.5831305384675198`*^9, 3.583130571333432*^9}, {
  3.583130601961104*^9, 3.5831306205474453`*^9}, {3.583130674077607*^9, 
  3.58313077590446*^9}, {3.583130818317213*^9, 3.583130823779071*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NConvolution", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "c"}], ")"}], "x"}], "+", 
    SuperscriptBox["x", "2"]}], ",", 
   RowBox[{"HPL", "[", 
    RowBox[{
     RowBox[{"{", "0", "}"}], ",", "x"}], "]"}], ",", "x", ",", 
   FractionBox["3", "10"], ",", 
   RowBox[{"Constants", " ", "\[Rule]", 
    RowBox[{"{", "c", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5831307900780478`*^9, 3.583130828862011*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"0.5039728043245324`", " ", "c"}]}], "-", "0.8784592064875457`"}],
   TraditionalForm]], "Output",
 CellChangeTimes->{3.5831308297128897`*^9, 3.583142802736607*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["NEval", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}}],

Cell[TextData[{
 StyleBox["NEval[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["a", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " gives the numerical value of expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", "a"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " and similar to ",
 StyleBox["N[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[" /. ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[Rule]", "a"}], TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " but does not touch ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " in generalized functions."
}], "Text",
 CellChangeTimes->{{3.583131024296227*^9, 3.58313118005217*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Convolution", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", 
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5831312184517736`*^9, 3.583131276494754*^9}, 
   3.5831411043649473`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"2", " ", 
    InterpretationBox[
     SubscriptBox[
      RowBox[{"[", 
       FractionBox[
        RowBox[{"log", "(", 
         RowBox[{"1", "-", "x"}], ")"}], 
        RowBox[{"1", "-", "x"}]], "]"}], "+"],
     MT`PlusDistribution[1, 1 - $CellContext`x]]}], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", "0"], "(", "x", ")"}],
     HPL`HPL[{0}, $CellContext`x]], 
    RowBox[{"1", "-", "x"}]], "-", 
   RowBox[{
    FractionBox["1", "6"], " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    InterpretationBox[
     RowBox[{"\[Delta]", "(", 
      RowBox[{"1", "-", "x"}], ")"}],
     MT`PlusDistribution[-1, 1 - $CellContext`x]]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.583131237659129*^9, 3.583131277188767*^9}, 
   3.583141104860238*^9, 3.583142802903651*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NEval", "[", 
  RowBox[{"%", ",", "x", ",", 
   FractionBox["3", "10"]}], "]"}]], "Input",
 CellChangeTimes->{3.583141108347207*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"2.`", " ", 
    InterpretationBox[
     SubscriptBox[
      RowBox[{"[", 
       FractionBox[
        RowBox[{"log", "(", 
         RowBox[{"1", "-", "x"}], ")"}], 
        RowBox[{"1", "-", "x"}]], "]"}], "+"],
     MT`PlusDistribution[1, 1 - $CellContext`x]]}], "-", 
   RowBox[{"1.6449340668482262`", " ", 
    InterpretationBox[
     RowBox[{"\[Delta]", "(", 
      RowBox[{"1", "-", "x"}], ")"}],
     MT`PlusDistribution[-1, 1 - $CellContext`x]]}], "+", 
   "1.7199611490370517`"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.583141106913926*^9, 3.5831411088290377`*^9}, 
   3.5831428029183197`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mellin transforms and inverse Mellin transforms", "Section",
 CellChangeTimes->{{3.583131322941575*^9, 3.583131345005117*^9}}],

Cell[CellGroupData[{

Cell["MTMellinn", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.583131737009905*^9}}],

Cell[TextData[{
 StyleBox["MTMellinn[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " gives the Mellin transform with respect to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " of the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 ":"
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["M", "n"], "[", 
   RowBox[{"f", 
    RowBox[{"(", "x", ")"}]}], "]"}], "=", 
  RowBox[{
   SuperscriptBox[
    SubscriptBox["\[Integral]", "0"], "1"], 
   RowBox[{"dx", " ", 
    SuperscriptBox["x", 
     RowBox[{"n", "-", "1"}]], "f", 
    RowBox[{
     RowBox[{"(", "x", ")"}], "."}]}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.583129538781838*^9, 3.583129770740335*^9}, {
  3.583131513948367*^9, 3.583131547347013*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTMellinn", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", "x"}], "]"}], 
    RowBox[{"1", "+", "x"}]], ",", "x", ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.583131555771009*^9, 3.583131566130002*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"n", "-", "1"}]], " ", 
    InterpretationBox[
     RowBox[{
      SubscriptBox["S", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}]], "(", 
      RowBox[{"n", "-", "1"}], ")"}],
     MT`HSum[{-1, 1}, -1 + $CellContext`n]]}], "+", 
   RowBox[{
    FractionBox["1", "12"], " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"n", "-", "1"}]]}], "-", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"n", "-", "1"}]], " ", 
    RowBox[{
     SuperscriptBox["log", "2"], "(", "2", ")"}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.5831315669211903`*^9, 3.583142802981798*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTMellinn", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "x"}], "]"}], "-", 
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "1"}], "]"}]}], 
    RowBox[{"1", "-", "x"}]], ",", "x", ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.583131573103985*^9, 3.5831315940087214`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   InterpretationBox[
    RowBox[{
     SubscriptBox["S", 
      RowBox[{"2", ",", "1"}]], "(", 
     RowBox[{"n", "-", "1"}], ")"}],
    MT`HSum[{2, 1}, -1 + $CellContext`n]], "-", 
   RowBox[{"2", " ", 
    TemplateBox[{"3"},
     "Zeta"]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583131594553611*^9, 3.583142803045598*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTMellinn", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"2", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", "x", ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.583131602196384*^9, 3.583131609711237*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "2"}], " ", 
   InterpretationBox[
    RowBox[{
     SubscriptBox["S", 
      RowBox[{"1", ",", "1", ",", "1"}]], "(", 
     RowBox[{"n", "-", "1"}], ")"}],
    MT`HSum[{1, 1, 1}, -1 + $CellContext`n]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583131610347322*^9, 3.583142803108473*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["NMTMellinn", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317355365953`*^9}}],

Cell[TextData[{
 StyleBox["NMTMellinn[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["a", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " numerically computes the Mellin transform with respect to ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " of the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "a"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NMTMellinn", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", "x"}], "]"}], 
    RowBox[{"1", "+", "x"}]], ",", "x", ",", "12"}], "]"}]], "Input",
 CellChangeTimes->{{3.5831316624825773`*^9, 3.583131669479665*^9}}],

Cell[BoxData[
 FormBox["0.13301388973366796`", TraditionalForm]], "Output",
 CellChangeTimes->{{3.583131663005794*^9, 3.583131670068479*^9}, 
   3.58314280317868*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NMTMellinn", "[", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "x"}], "]"}], "-", 
     RowBox[{"HPL", "[", 
      RowBox[{
       RowBox[{"{", "2", "}"}], ",", "1"}], "]"}]}], 
    RowBox[{"1", "-", "x"}]], ",", "x", ",", "12"}], "]"}]], "Input",
 CellChangeTimes->{{3.583131679570197*^9, 3.583131682539369*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", "0.3512580300945335`"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.5831316828372307`*^9, 3.58314280328201*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NMTMellinn", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"2", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], ",", "x", ",", "12"}], "]"}]], "Input",\

 CellChangeTimes->{{3.583131688742867*^9, 3.5831316910556803`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{"-", "14.684005707148248`"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583131691452265*^9, 3.583142803301321*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MTInverse", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}}],

Cell[TextData[{
 StyleBox["MTInverse[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["x", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " gives the inverse Mellin transform with respect to ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " of the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 ". If the inverse Mellin transform cannot be determined, it tries to reduce \
it to a simpler one."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTInverse", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"HSum", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}], ",", "n"}], "]"}], "n"], ",", "x", ",",
    "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5831317983173*^9, 3.583131812703433*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    FractionBox["1", "6"], " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    InterpretationBox[
     RowBox[{
      SubscriptBox["H", "1"], "(", "x", ")"}],
     HPL`HPL[{1}, $CellContext`x]]}], "-", 
   InterpretationBox[
    RowBox[{
     SubscriptBox["H", 
      RowBox[{"1", ",", "2"}]], "(", "x", ")"}],
    HPL`HPL[{1, 2}, $CellContext`x]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583131813212446*^9, 3.5831428033181868`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTInverse", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "n"], 
    FractionBox[
     RowBox[{"HSum", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"-", "1"}], "}"}], ",", "n"}], "]"}], "n"]}], ",", "x", ",", 
   "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.583131821051054*^9, 3.583131827864216*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{
     RowBox[{"log", "(", "2", ")"}], " ", 
     RowBox[{"MTInverse", "(", 
      RowBox[{
       FractionBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "n"], "n"], ",", "x", ",", "n"}], 
      ")"}]}]}], "-", 
   InterpretationBox[
    RowBox[{
     SubscriptBox["H", 
      RowBox[{"-", "1"}]], "(", "x", ")"}],
    HPL`HPL[{-1}, $CellContext`x]], "+", 
   RowBox[{"log", "(", "2", ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583131830360322*^9, 3.583142803374889*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Other functions", "Section",
 CellChangeTimes->{{3.583131322941575*^9, 3.583131345005117*^9}, {
  3.5831419014611473`*^9, 3.583141904585432*^9}}],

Cell[CellGroupData[{

Cell["MTPlusToDReg", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}}],

Cell[TextData[{
 StyleBox["MTPlusToDReg[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " converts plus distributions in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " into regularized derivatives."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTPlusToDReg", "[", 
  RowBox[{"PlusDistribution", "[", 
   RowBox[{"3", ",", 
    RowBox[{"1", "-", "x"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.583141985781625*^9, 3.5831420025232153`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "6"}], " ", 
   InterpretationBox[
    RowBox[{
     SubscriptBox[
      OverscriptBox["\[PartialD]", "^"], "x"], 
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", 
        RowBox[{"1", ",", "1", ",", "1", ",", "1"}]], "(", "x", ")"}],
      HPL`HPL[{1, 1, 1, 1}, $CellContext`x]]}],
    MT`DReg[
     HPL`HPL[{1, 1, 1, 1}, $CellContext`x], $CellContext`x]]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.583142003003578*^9, 3.583142803447443*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MTDRegToPlus", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}, {3.583142010786854*^9, 3.583142014697359*^9}}],

Cell[TextData[{
 StyleBox["MTDRegToPlus[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox["]",
  FontWeight->"Bold"],
 " converts regularized derivatives in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " into ",
 "plus distributions",
 "."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}, {3.583142018104023*^9, 
  3.583142033628039*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTDRegToPlus", "[", 
  RowBox[{"DReg", "[", 
   RowBox[{
    RowBox[{"HPL", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", "x"}], "]"}], 
    ",", "x"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.583141985781625*^9, 3.5831420025232153`*^9}, {
  3.583142039672415*^9, 3.583142058290238*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "6"]}], " ", 
   InterpretationBox[
    SubscriptBox[
     RowBox[{"[", 
      FractionBox[
       RowBox[{
        SuperscriptBox["log", "3"], "(", 
        RowBox[{"1", "-", "x"}], ")"}], 
       RowBox[{"1", "-", "x"}]], "]"}], "+"],
    MT`PlusDistribution[3, 1 - $CellContext`x]]}], TraditionalForm]], "Output",\

 CellChangeTimes->{
  3.583142003003578*^9, {3.583142041043342*^9, 3.583142058841579*^9}, 
   3.583142803516296*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MTPlusSimplify", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}, {3.583142010786854*^9, 3.583142014697359*^9}, {
  3.5831420666282797`*^9, 3.583142070800109*^9}}],

Cell[TextData[{
 StyleBox["MTPlusSimplify[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox["]",
  FontWeight->"Bold"],
 " performs transformations on terms in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " containing generalized functions such that their coefficients become \
constants:"
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}, {3.583142018104023*^9, 
  3.583142033628039*^9}, {3.5831420730739717`*^9, 3.583142164663067*^9}, {
  3.583142201381144*^9, 3.583142201688677*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Delta]", 
    RowBox[{"(", 
     RowBox[{"1", "-", "x"}], ")"}], "f", 
    RowBox[{"(", "x", ")"}]}], " ", "=", " ", 
   RowBox[{"\[Delta]", 
    RowBox[{"(", 
     RowBox[{"1", "-", "x"}], ")"}], " ", "f", 
    RowBox[{"(", "1", ")"}]}]}], ","}]], "DisplayFormula",
 CellChangeTimes->{{3.583129538781838*^9, 3.583129770740335*^9}, {
  3.583131513948367*^9, 3.583131547347013*^9}, {3.583142215187807*^9, 
  3.583142230143077*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox[
    RowBox[{"[", 
     FractionBox[
      RowBox[{
       SuperscriptBox["ln", "k"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], 
      RowBox[{"1", "-", "x"}]], "]"}], "+"], "f", 
   RowBox[{"(", "x", ")"}]}], " ", "=", " ", 
  RowBox[{
   RowBox[{
    SubscriptBox[
     RowBox[{"[", 
      FractionBox[
       RowBox[{
        SuperscriptBox["ln", "k"], 
        RowBox[{"(", 
         RowBox[{"1", "-", "x"}], ")"}]}], 
       RowBox[{"1", "-", "x"}]], "]"}], "+"], "f", 
    RowBox[{"(", "1", ")"}]}], "+", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["ln", "k"], 
       RowBox[{"(", 
        RowBox[{"1", "-", "x"}], ")"}]}], 
      RowBox[{"1", "-", "x"}]], "[", 
     RowBox[{
      RowBox[{"f", 
       RowBox[{"(", "x", ")"}]}], "-", 
      RowBox[{"f", 
       RowBox[{"(", "1", ")"}]}]}], "]"}], "."}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.583129538781838*^9, 3.583129770740335*^9}, {
  3.583131513948367*^9, 3.583131547347013*^9}, {3.583142215187807*^9, 
  3.583142297226561*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTPlusSimplify", "[", 
  RowBox[{
   RowBox[{"PlusDistribution", "[", 
    RowBox[{"1", ",", 
     RowBox[{"1", "-", "x"}]}], "]"}], 
   RowBox[{"HPL", "[", 
    RowBox[{
     RowBox[{"{", "2", "}"}], ",", "x"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5831421714004507`*^9, 3.5831421921461773`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    FractionBox["1", "6"], " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    InterpretationBox[
     SubscriptBox[
      RowBox[{"[", 
       FractionBox[
        RowBox[{"log", "(", 
         RowBox[{"1", "-", "x"}], ")"}], 
        RowBox[{"1", "-", "x"}]], "]"}], "+"],
     MT`PlusDistribution[1, 1 - $CellContext`x]]}], "+", 
   FractionBox[
    RowBox[{
     InterpretationBox[
      RowBox[{
       SubscriptBox["H", "1"], "(", "x", ")"}],
      HPL`HPL[{1}, $CellContext`x]], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[Pi]", "2"], "-", 
       RowBox[{"6", " ", 
        InterpretationBox[
         RowBox[{
          SubscriptBox["H", "2"], "(", "x", ")"}],
         HPL`HPL[{2}, $CellContext`x]]}]}], ")"}]}], 
    RowBox[{"6", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", "x"}], ")"}]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.583142193074684*^9, 3.5831428035844803`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MTHarmonize", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}, {3.583142010786854*^9, 3.583142014697359*^9}, {
  3.5831420666282797`*^9, 3.583142070800109*^9}, {3.58314231305807*^9, 
  3.5831423152645893`*^9}}],

Cell[TextData[{
 StyleBox["MTHarmonize[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " shifts the argument of harmonic sums in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " such that each term in the result individually depends on a single \
argument ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "+", 
    RowBox[{"i", "."}]}], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}, {3.583142018104023*^9, 
  3.583142033628039*^9}, {3.5831420730739717`*^9, 3.583142164663067*^9}, {
  3.583142201381144*^9, 3.583142201688677*^9}, {3.583142318238885*^9, 
  3.5831423940890093`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTHarmonize", "[", 
  RowBox[{
   FractionBox[
    RowBox[{"HSum", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}]}], "}"}], ",", 
      RowBox[{"n", "+", "2"}]}], "]"}], "n"], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5831421714004507`*^9, 3.5831421921461773`*^9}, {
  3.583142401605096*^9, 3.583142423397766*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["S", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}]}]], "(", "n", ")"}],
     MT`HSum[{1, -1}, $CellContext`n]], "n"], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     InterpretationBox[
      RowBox[{
       SubscriptBox["S", 
        RowBox[{"-", "1"}]], "(", "n", ")"}],
      MT`HSum[{-1}, $CellContext`n]]}], 
    RowBox[{"2", " ", "n"}]], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["S", 
       RowBox[{"-", "1"}]], "(", 
      RowBox[{"n", "+", "1"}], ")"}],
     MT`HSum[{-1}, 1 + $CellContext`n]], 
    RowBox[{"n", "+", "1"}]], "-", 
   FractionBox[
    InterpretationBox[
     RowBox[{
      SubscriptBox["S", 
       RowBox[{"-", "1"}]], "(", 
      RowBox[{"n", "+", "2"}], ")"}],
     MT`HSum[{-1}, 2 + $CellContext`n]], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"n", "+", "2"}], ")"}]}]], "-", 
   FractionBox[
    RowBox[{"5", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"]}], 
    RowBox[{"4", " ", "n"}]], "-", 
   FractionBox[
    RowBox[{"3", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"n", "+", "1"}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"n", "+", "1"}], ")"}]}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], 
     RowBox[{"n", "+", "2"}]], 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{"n", "+", "2"}], ")"}]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.583142193074684*^9, {3.583142407555582*^9, 3.583142424021501*^9}, 
   3.583142803672667*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MTNormalize", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}, {3.583142010786854*^9, 3.583142014697359*^9}, {
  3.5831420666282797`*^9, 3.583142070800109*^9}, {3.58314231305807*^9, 
  3.5831423152645893`*^9}, {3.583142449929343*^9, 3.583142451260054*^9}}],

Cell[TextData[{
 StyleBox["MTNormalize[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox[", ",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm",
  FontWeight->"Bold"],
 StyleBox["]",
  FontWeight->"Bold"],
 " normalizes the argument of harmonic sums in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " such that they have the argument ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}, {3.583142018104023*^9, 
  3.583142033628039*^9}, {3.5831420730739717`*^9, 3.583142164663067*^9}, {
  3.583142201381144*^9, 3.583142201688677*^9}, {3.583142318238885*^9, 
  3.5831423940890093`*^9}, {3.58314245703159*^9, 3.583142481333912*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTNormalize", "[", 
  RowBox[{
   RowBox[{"HSum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "2"}], "}"}], ",", 
     RowBox[{"n", "+", "1"}]}], "]"}], ",", "n"}], "]"}]], "Input",
 CellChangeTimes->{{3.5831421714004507`*^9, 3.5831421921461773`*^9}, {
  3.583142401605096*^9, 3.583142423397766*^9}, {3.583142490685169*^9, 
  3.583142506307004*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   InterpretationBox[
    RowBox[{
     SubscriptBox["S", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "2"}]], "(", "n", ")"}],
    MT`HSum[{-1, 2}, $CellContext`n]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"], " ", 
     InterpretationBox[
      RowBox[{
       SubscriptBox["S", "2"], "(", "n", ")"}],
      MT`HSum[{2}, $CellContext`n]]}], 
    RowBox[{"n", "+", "1"}]], "-", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "n"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"n", "+", "1"}], ")"}], "3"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.583142193074684*^9, {3.583142407555582*^9, 3.583142424021501*^9}, {
   3.583142498098526*^9, 3.583142506841354*^9}, 3.583142803727524*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MTProductExpand", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}, {3.583142010786854*^9, 3.583142014697359*^9}, {
  3.5831420666282797`*^9, 3.583142070800109*^9}, {3.58314231305807*^9, 
  3.5831423152645893`*^9}, {3.583142449929343*^9, 3.583142451260054*^9}, {
  3.583142529358509*^9, 3.5831425320649548`*^9}}],

Cell[TextData[{
 StyleBox["MTProductExpand[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox["]",
  FontWeight->"Bold"],
 " substitutes products of harmonic sums in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 " with harmonic sums of higher weigths."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}, {3.583142018104023*^9, 
  3.583142033628039*^9}, {3.5831420730739717`*^9, 3.583142164663067*^9}, {
  3.583142201381144*^9, 3.583142201688677*^9}, {3.583142318238885*^9, 
  3.5831423940890093`*^9}, {3.58314245703159*^9, 3.583142481333912*^9}, {
  3.583142534198797*^9, 3.583142572409773*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MTProductExpand", "[", 
  RowBox[{
   RowBox[{"HSum", "[", 
    RowBox[{
     RowBox[{"{", "2", "}"}], ",", "n"}], "]"}], 
   RowBox[{"HSum", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"-", "1"}], "}"}], ",", "n"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5831421714004507`*^9, 3.5831421921461773`*^9}, {
  3.583142401605096*^9, 3.583142423397766*^9}, {3.583142490685169*^9, 
  3.583142506307004*^9}, {3.583142576546175*^9, 3.5831425955137987`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   InterpretationBox[
    RowBox[{
     SubscriptBox["S", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "2"}]], "(", "n", ")"}],
    MT`HSum[{-1, 2}, $CellContext`n]], "+", 
   InterpretationBox[
    RowBox[{
     SubscriptBox["S", 
      RowBox[{"2", ",", 
       RowBox[{"-", "1"}]}]], "(", "n", ")"}],
    MT`HSum[{2, -1}, $CellContext`n]], "-", 
   InterpretationBox[
    RowBox[{
     SubscriptBox["S", 
      RowBox[{"-", "3"}]], "(", "n", ")"}],
    MT`HSum[{-3}, $CellContext`n]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.583142193074684*^9, {3.583142407555582*^9, 3.583142424021501*^9}, {
   3.583142498098526*^9, 3.583142506841354*^9}, {3.583142592171383*^9, 
   3.5831425961756973`*^9}, 3.583142803785273*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["CancelMTInverse", "Subsection",
 CellChangeTimes->{{3.5831309996975107`*^9, 3.58313102120452*^9}, {
  3.583131716675741*^9, 3.5831317487567873`*^9}, {3.583141911601766*^9, 
  3.583141914701552*^9}, {3.583142010786854*^9, 3.583142014697359*^9}, {
  3.5831420666282797`*^9, 3.583142070800109*^9}, {3.58314231305807*^9, 
  3.5831423152645893`*^9}, {3.583142449929343*^9, 3.583142451260054*^9}, {
  3.583142529358509*^9, 3.5831425320649548`*^9}, {3.583142604106491*^9, 
  3.583142607712137*^9}}],

Cell[TextData[{
 "CancelMTInverse",
 StyleBox["[",
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 StyleBox["]",
  FontWeight->"Bold"],
 " tries to cancel unevaluated inverse Mellin transforms in the expression ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]],
  FormatType->"TraditionalForm"],
 "."
}], "Text",
 CellChangeTimes->{{3.583131455726185*^9, 3.5831314997841663`*^9}, {
  3.583131622452445*^9, 3.583131652940567*^9}, {3.583131751801743*^9, 
  3.583131792278966*^9}, {3.583131866919883*^9, 3.583131951279416*^9}, {
  3.583141917624102*^9, 3.583141974526297*^9}, {3.583142018104023*^9, 
  3.583142033628039*^9}, {3.5831420730739717`*^9, 3.583142164663067*^9}, {
  3.583142201381144*^9, 3.583142201688677*^9}, {3.583142318238885*^9, 
  3.5831423940890093`*^9}, {3.58314245703159*^9, 3.583142481333912*^9}, {
  3.583142534198797*^9, 3.583142572409773*^9}, {3.583142609641596*^9, 
  3.583142629485612*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MTInverse", "[", 
   RowBox[{
    RowBox[{"HSum", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"-", "1"}], "}"}], ",", 
      RowBox[{"n", "+", "1"}]}], "]"}], ",", "x", ",", "n"}], "]"}], "-", 
  RowBox[{"MTInverse", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"HSum", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"-", "1"}], "}"}], ",", "n"}], "]"}], "-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "n"], 
      RowBox[{"n", "+", "1"}]]}], ",", "x", ",", "n"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5831421714004507`*^9, 3.5831421921461773`*^9}, {
  3.583142401605096*^9, 3.583142423397766*^9}, {3.583142490685169*^9, 
  3.583142506307004*^9}, {3.583142576546175*^9, 3.5831425955137987`*^9}, {
  3.583142633396949*^9, 3.5831426670564613`*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"x", " ", 
    RowBox[{"MTInverse", "(", 
     RowBox[{
      InterpretationBox[
       RowBox[{
        SubscriptBox["S", 
         RowBox[{"-", "1"}]], "(", "n", ")"}],
       MT`HSum[{-1}, $CellContext`n]], ",", "x", ",", "n"}], ")"}]}], "-", 
   RowBox[{"MTInverse", "(", 
    RowBox[{
     InterpretationBox[
      RowBox[{
       SubscriptBox["S", 
        RowBox[{"-", "1"}]], "(", "n", ")"}],
      MT`HSum[{-1}, $CellContext`n]], ",", "x", ",", "n"}], ")"}], "-", 
   RowBox[{"x", " ", 
    RowBox[{"MTInverse", "(", 
     RowBox[{
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "n"], "n"], ",", "x", ",", "n"}], 
     ")"}]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.583142193074684*^9, {3.583142407555582*^9, 3.583142424021501*^9}, {
   3.583142498098526*^9, 3.583142506841354*^9}, {3.583142592171383*^9, 
   3.5831425961756973`*^9}, {3.583142646048369*^9, 3.583142667573765*^9}, 
   3.583142803942019*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CancelMTInverse", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.583142680726686*^9, 3.583142684388092*^9}}],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{3.583142684837059*^9, 3.583142803953511*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{810, 750},
WindowMargins->{{50, Automatic}, {Automatic, 69}},
FrontEndVersion->"7.0 for Linux x86 (64-bit) (February 25, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 190, 6, 139, "Title"],
Cell[760, 30, 257, 3, 31, "Text"],
Cell[CellGroupData[{
Cell[1042, 37, 164, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[1231, 44, 208, 3, 70, "Print"],
Cell[1442, 49, 187, 3, 25, "Print"],
Cell[1632, 54, 200, 3, 25, "Print"],
Cell[1835, 59, 164, 3, 25, "Print"],
Cell[2002, 64, 171, 3, 25, "Print"],
Cell[2176, 69, 248, 4, 48, "Print"],
Cell[2427, 75, 225, 3, 48, "Print"],
Cell[2655, 80, 573, 14, 25, "Print"],
Cell[3231, 96, 166, 3, 25, "Print"],
Cell[3400, 101, 172, 3, 25, "Print"],
Cell[3575, 106, 163, 3, 25, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3787, 115, 114, 1, 73, "Section"],
Cell[CellGroupData[{
Cell[3926, 120, 101, 1, 39, "Subsection"],
Cell[4030, 123, 855, 34, 31, "Text"],
Cell[4888, 159, 931, 28, 41, "DisplayFormula"],
Cell[CellGroupData[{
Cell[5844, 191, 427, 13, 47, "Input"],
Cell[6274, 206, 1233, 42, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7544, 253, 510, 15, 47, "Input"],
Cell[8057, 270, 1658, 57, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9752, 332, 331, 9, 32, "Input"],
Cell[10086, 343, 819, 26, 52, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10954, 375, 127, 2, 39, "Subsection"],
Cell[11084, 379, 1208, 45, 51, "Text"],
Cell[CellGroupData[{
Cell[12317, 428, 461, 14, 47, "Input"],
Cell[12781, 444, 137, 2, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12955, 451, 540, 16, 47, "Input"],
Cell[13498, 469, 241, 6, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13776, 480, 389, 10, 47, "Input"],
Cell[14168, 492, 628, 18, 52, "Output"]
}, Open  ]],
Cell[14811, 513, 449, 12, 51, "Text"],
Cell[CellGroupData[{
Cell[15285, 529, 482, 14, 47, "Input"],
Cell[15770, 545, 228, 6, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16047, 557, 94, 1, 39, "Subsection"],
Cell[16144, 560, 1328, 52, 51, "Text"],
Cell[CellGroupData[{
Cell[17497, 616, 383, 10, 32, "Input"],
Cell[17883, 628, 865, 27, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18785, 660, 156, 4, 47, "Input"],
Cell[18944, 666, 660, 19, 52, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19665, 692, 132, 1, 73, "Section"],
Cell[CellGroupData[{
Cell[19822, 697, 147, 2, 39, "Subsection"],
Cell[19972, 701, 817, 31, 31, "Text"],
Cell[20792, 734, 478, 15, 41, "DisplayFormula"],
Cell[CellGroupData[{
Cell[21295, 753, 293, 8, 47, "Input"],
Cell[21591, 763, 890, 31, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22518, 799, 411, 12, 47, "Input"],
Cell[22932, 813, 373, 12, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23342, 830, 256, 6, 32, "Input"],
Cell[23601, 838, 348, 10, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[23998, 854, 150, 2, 39, "Subsection"],
Cell[24151, 858, 1000, 37, 31, "Text"],
Cell[CellGroupData[{
Cell[25176, 899, 297, 8, 47, "Input"],
Cell[25476, 909, 166, 3, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25679, 917, 411, 12, 47, "Input"],
Cell[26093, 931, 157, 3, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26287, 939, 262, 7, 32, "Input"],
Cell[26552, 948, 156, 3, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[26757, 957, 149, 2, 39, "Subsection"],
Cell[26909, 961, 1065, 34, 51, "Text"],
Cell[CellGroupData[{
Cell[27999, 999, 299, 9, 47, "Input"],
Cell[28301, 1010, 490, 15, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28828, 1030, 394, 13, 47, "Input"],
Cell[29225, 1045, 591, 19, 52, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29877, 1071, 151, 2, 73, "Section"],
Cell[CellGroupData[{
Cell[30053, 1077, 201, 3, 39, "Subsection"],
Cell[30257, 1082, 650, 18, 31, "Text"],
Cell[CellGroupData[{
Cell[30932, 1104, 225, 5, 32, "Input"],
Cell[31160, 1111, 522, 16, 35, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[31731, 1133, 247, 3, 39, "Subsection"],
Cell[31981, 1138, 687, 20, 31, "Text"],
Cell[CellGroupData[{
Cell[32693, 1162, 375, 10, 32, "Input"],
Cell[33071, 1174, 508, 17, 54, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[33628, 1197, 300, 4, 39, "Subsection"],
Cell[33931, 1203, 834, 20, 51, "Text"],
Cell[34768, 1225, 479, 13, 24, "DisplayFormula"],
Cell[35250, 1240, 1110, 38, 43, "DisplayFormula"],
Cell[CellGroupData[{
Cell[36385, 1282, 332, 9, 32, "Input"],
Cell[36720, 1293, 969, 31, 57, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[37738, 1330, 347, 5, 39, "Subsection"],
Cell[38088, 1337, 1153, 32, 51, "Text"],
Cell[CellGroupData[{
Cell[39266, 1373, 393, 11, 47, "Input"],
Cell[39662, 1386, 1724, 61, 56, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41435, 1453, 393, 5, 39, "Subsection"],
Cell[41831, 1460, 1119, 30, 51, "Text"],
Cell[CellGroupData[{
Cell[42975, 1494, 414, 11, 32, "Input"],
Cell[43392, 1507, 862, 28, 56, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44303, 1541, 448, 6, 39, "Subsection"],
Cell[44754, 1549, 940, 21, 51, "Text"],
Cell[CellGroupData[{
Cell[45719, 1574, 490, 12, 32, "Input"],
Cell[46212, 1588, 771, 23, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47032, 1617, 497, 7, 39, "Subsection"],
Cell[47532, 1626, 973, 23, 31, "Text"],
Cell[CellGroupData[{
Cell[48530, 1653, 861, 24, 48, "Input"],
Cell[49394, 1679, 1031, 30, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50462, 1714, 134, 2, 32, "Input"],
Cell[50599, 1718, 120, 2, 32, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
